<?php

declare(strict_types=1);

namespace App\Filament\Resources\DberpSalespersons\Pages;

use App\Filament\Resources\DberpSalespersons\DberpSalespersonResource;
use Filament\Actions\EditAction;
use Filament\Resources\Pages\ViewRecord;
use Illuminate\Contracts\Support\Htmlable;

class ViewDberpSalesperson extends ViewRecord
{
    protected static string $resource = DberpSalespersonResource::class;

    public function getSubheading(): string|Htmlable|null
    {
        return (string) __('dberp.ui.organization_list_salesperson_intro');
    }

    protected function getHeaderActions(): array
    {
        return [
            EditAction::make(),
        ];
    }
}
